# This is a sample build configuration for PHP.
# Check our guides at https://confluence.atlassian.com/x/e8YWN for more examples.
# Only use spaces to indent your .yml configuration.
# -----
# You can specify a custom docker image from Docker Hub as your build environment.
image: php:7.2-cli

pipelines:
  branches:
    lingfield-symfony4:
      - step:
          script:
            - apt-get update -y
            - apt-get install -y ssh
            - apt-get install -y curl
            - apt-get install -y git
            - curl -sL https://deb.nodesource.com/setup_8.x | bash -
            - apt-get install -y nodejs
            - npm install
            - cat src/Config/Deploy/deploy.sh | ssh arcdev@arenaracingcompany.arenaracingdev.co.uk
            - cat src/Config/Deploy/deploy.sh | ssh awcdev@arenaracingcompany.arenaracingdev.co.uk
            - cat src/Config/Deploy/deploy.sh | ssh wolvesdev@arenaracingcompany.arenaracingdev.co.uk
            - cat src/Config/Deploy/deploy.sh | ssh lingfielddev@arenaracingcompany.arenaracingdev.co.uk